import { EEasyFormActionType, EEasyFormFieldStatus } from './enums';
import { TShape } from './types';
export declare const setFieldValue: (formName: string, fieldName: string, value: any) => {
    readonly type: EEasyFormActionType.SetFieldValue;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
        readonly value: any;
    };
};
export declare const clearFieldValue: (formName: string, fieldName: string) => {
    readonly type: EEasyFormActionType.ClearFieldValue;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
    };
};
export declare const setFieldErrors: (formName: string, fieldName: string, errors: string[] | null | undefined) => {
    readonly type: EEasyFormActionType.SetFieldErrors;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
        readonly errors: string[];
    };
};
export declare const clearFieldErrors: (formName: string, fieldName: string) => {
    readonly type: EEasyFormActionType.ClearFieldErrors;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
    };
};
export declare const setFieldStatus: (formName: string, fieldName: string, status: EEasyFormFieldStatus) => {
    readonly type: EEasyFormActionType.SetFieldStatus;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
        readonly status: EEasyFormFieldStatus;
    };
};
export declare const initiateForm: <T extends TShape>(formName: string, initialValues: T) => {
    readonly type: EEasyFormActionType.InitiateForm;
    readonly payload: {
        readonly formName: string;
        readonly initialValues: T;
    };
};
export declare const setFormErrors: (formName: string, errors: string[] | null | undefined) => {
    readonly type: EEasyFormActionType.SetFormErrors;
    readonly payload: {
        readonly formName: string;
        readonly errors: string[];
    };
};
export declare const dropForm: (formName: string) => {
    readonly type: EEasyFormActionType.DropForm;
    readonly payload: {
        readonly formName: string;
    };
};
export declare type TActionCreators = ReturnType<typeof setFieldValue> | ReturnType<typeof clearFieldValue> | ReturnType<typeof clearFieldErrors> | ReturnType<typeof setFieldErrors> | ReturnType<typeof setFieldStatus> | ReturnType<typeof initiateForm> | ReturnType<typeof setFormErrors> | ReturnType<typeof dropForm>;
