import { __rest } from "tslib";
import React, { memo, useEffect, } from 'react';
import { useDispatch } from 'react-redux';
import { initiateForm, dropForm } from '../action-creators';
import { FormContext } from '../form-context';
import { RootValidator } from '../root-validator';
export const Form = memo((_a) => {
    var { children, dropOnUnmount, initialValues = {}, name, validate } = _a, htmlFormProps = __rest(_a, ["children", "dropOnUnmount", "initialValues", "name", "validate"]);
    const dispatch = useDispatch();
    useEffect(() => {
        if (validate) {
            const rootValidator = new RootValidator(name);
            rootValidator.applyFormValidator(validate);
        }
    }, []);
    useEffect(() => {
        dispatch(initiateForm(name, initialValues));
    }, [initialValues]);
    useEffect(() => () => {
        console.warn('"Form" component is deprecated since v2.0.0 and will be removed from the library soon. ' +
            'Use "FormProvider" component instead.');
        if (dropOnUnmount) {
            dispatch(dropForm(name));
        }
    }, []);
    return (React.createElement("form", Object.assign({ name: name }, htmlFormProps),
        React.createElement(FormContext.Provider, { value: name }, children)));
});
//# sourceMappingURL=form.js.map