import { Selector } from 'reselect';
import { EEasyFormFieldStatus } from './enums';
import { TEasyForm, TEasyFormErrors, TEasyFormFieldErrors, TEasyFormStatuses, TForms, TShape, State } from './types';
export declare const getForms: (state: State) => TForms;
export declare const createGetForm: (formName: string) => Selector<State, TEasyForm | undefined>;
export declare const createGetCommonFormErrors: (formName: string) => Selector<State, string[] | null | undefined>;
export declare const createGetFormAllFieldsErrors: (formName: string) => Selector<State, TEasyFormFieldErrors | undefined>;
export declare const createGetFormErrors: (formName: string) => Selector<State, TEasyFormErrors | undefined>;
export declare const createGetIsFormValid: (formName: string) => Selector<State, boolean>;
export declare const createGetFormValues: (formName: string) => Selector<State, TShape | undefined>;
export declare const createGetFormInitialValues: (formName: string) => Selector<State, TShape | undefined>;
export declare const createGetFormStatuses: (formName: string) => Selector<State, TEasyFormStatuses | undefined>;
export declare const createGetIsFormPristine: (formName: string) => Selector<State, boolean>;
export declare const createGetFormFieldValue: (formName: string, fieldName: string) => Selector<State, any>;
export declare const createGetFormFieldInitialValue: (formName: string, fieldName: string) => Selector<State, any>;
export declare const createGetFormFieldErrors: (formName: string, fieldName: string) => Selector<State, string[] | null | undefined>;
export declare const createGetIsFormFieldValid: (formName: string, fieldName: string) => Selector<State, boolean>;
export declare const createGetFormFieldStatus: (formName: string, fieldName: string) => Selector<State, EEasyFormFieldStatus | undefined>;
export declare const createGetIsFormFieldPristine: (formName: string, fieldName: string) => Selector<State, boolean>;
export declare const createGetFormFieldSafetyValue: (formName: string, fieldName: string) => Selector<State, any>;
export declare const createGetFormSafetyValues: (formName: string) => Selector<State, TShape | undefined>;
