import { EEasyFormFieldStatus, EEasyFormField } from './enums';
export declare type State<ExtState = {
    [k: string]: any;
}, F = TForms> = ExtState & {
    forms: F;
};
export declare type TShape = {
    [k: string]: any;
};
export declare type TEasyFormStatuses = {
    [k: string]: EEasyFormFieldStatus;
};
export declare type TEasyFormFieldErrors<FormStruct extends TShape = TShape> = {
    [FieldName in keyof FormStruct]?: string[] | null;
};
export declare type TEasyForm<FormStruct extends TShape = TShape> = {
    [EEasyFormField.Values]?: Partial<FormStruct>;
    [EEasyFormField.Initials]?: Partial<FormStruct>;
    [EEasyFormField.Statuses]?: TEasyFormStatuses;
    [EEasyFormField.FieldErrors]?: TEasyFormFieldErrors<FormStruct>;
    [EEasyFormField.FormErrors]?: string[] | null;
};
export declare type TForms = {
    [k: string]: TEasyForm;
};
export declare type TEasyFormErrors = {
    [k: string]: string[] | null;
} & {
    [EEasyFormField.FormErrors]?: string[] | null;
};
export declare type TFormFieldStruct<Value> = {
    [EEasyFormField.Values]?: Value;
    [EEasyFormField.Initials]?: Value;
    [EEasyFormField.Statuses]?: EEasyFormFieldStatus;
    [EEasyFormField.FieldErrors]?: string[] | null;
    [EEasyFormField.FormErrors]?: string[] | null;
};
export declare type TValidator = (value: any, state?: any) => string | null;
export declare type TFormValidator = (values: any, state?: any) => string[] | null;
export declare type TUseFieldSubscription<V> = {
    clear: () => void;
    errors: string[] | null | undefined;
    isFieldValid: boolean;
    isPristine: boolean;
    onChange: (value: any) => void;
    validate: () => void;
    value: V | null;
};
export interface IFieldConfig {
    changeValueGetter?: (onChangeCallbackArg: any) => any;
    validateOnChange?: boolean;
    validators?: TValidator[];
}
